View a markdown version of this page

GetCustomDetectionRuleOrgConfiguration - Amazon GuardDuty

GetCustomDetectionRuleOrgConfiguration

Returns the organization-level configuration for a custom detection rule.

Request Syntax

GET /custom-detection-rule/org-configuration/RuleId?mode=Mode HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

Mode

The execution mode of the organization configuration to retrieve. Valid values: LIVE | DRY_RUN.

Valid Values: LIVE | DRY_RUN

Required: Yes

RuleId

The unique identifier for the custom detection rule.

Length Constraints: Minimum length of 1. Maximum length of 100.

Pattern: [a-z0-9]+(-[a-z0-9]+)*

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "configuration": { "createdAt": number, "excludeAccountIds": [ "string" ], "expiresAt": number, "includeAccountIds": [ "string" ], "mode": "string", "ruleId": "string", "status": "string", "statusReason": "string", "updatedAt": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

configuration

The details of the organization configuration.

Type: DetectionRuleOrgConfiguration object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

An access denied exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 403

BadRequestException

A bad request exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 400

InternalServerErrorException

An internal server error exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource can't be found.

Message

The error message.

Type

The error type.

HTTP Status Code: 404

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: